Subject: draft-linkova-6man-grand-01

From: Jen Linkova <[email-masked]>
Date: Tue, 26 Nov 2019 22:50:18 +1100

Hello,

I've submitted -01 version of draft-linkova-6man-grand which was
presented at 6man session in Singapore.
The new version is available at
https://datatracker.ietf.org/doc/draft-linkova-6man-grand/
The text now explicitly mentions that the Override flag SHOULD be
cleared for preferred and MUST be cleared for Optimistic addresses.
Typos fixed, text has been clarified a bit (at leat I hope so).

Reviews, comments and suggestions would be highly appreciated!

Thanks!

-- 
SY, Jen Linkova aka Furry

---

From: Sander Steffann <[email-masked]>
Date: Tue, 26 Nov 2019 18:05:26 +0100

Hi Jen,

> Reviews, comments and suggestions would be highly appreciated!

Looks very useful!
Sander

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 27 Nov 2019 08:40:03 +0100

> Reviews, comments and suggestions would be highly appreciated!

This is a xml2rfc formatting issue, but it would be great if the key 
suggestion appeared solid undivided, without a page separation in the 
middle.

OLD:
> 4.1.  Modification to RFC4861 Neighbor Discovery for IP version 6 (IPv6)
> 
> 4.1.1.  Modification to the section 7.2.5
> 
>    This document proposes the following changes to the section 7.2.5 of
>    [RFC4861]:
> 
>    ------------------------------------------------------------------
> 
>    OLD TEXT:
> 
>    When a valid Neighbor Advertisement is received (either solicited or
>    unsolicited), the Neighbor Cache is searched for the target's entry.
>    If no entry exists, the advertisement SHOULD be silently discarded.
>    There is no need to create an entry if none exists, since the
>    recipient has apparently not initiated any communication with the
>    target.
> 
> Linkova                   Expires May 29, 2020                  [Page 6]
> Internet-Draft                Gratuitous ND                November 2019
> 
>    NEW TEXT:
> 
>    When a valid Neighbor Advertisement is received (either solicited or
>    unsolicited), the Neighbor Cache is searched for the target's entry.
>    If no entry exists, hosts SHOULD silently discard the advertisement.
>    There is no need to create an entry if none exists, since the
>    recipient has apparently not initiated any communication with the
>    target.  Routers SHOULD create a new entry for the target address
>    with the link-layer address set to the Target link-layer address
>    option (if supplied).  The entry its reachability state MUST also be
>    set to STALE.  If the received Neighbor Advertisement does not
>    contain the Target link-layer address option the advertisement SHOULD
>    be silently discarded.
> 
>    ------------------------------------------------------------------

NEW:
> 4.1.  Modification to RFC4861 Neighbor Discovery for IP version 6 (IPv6)
> 
> 4.1.1.  Modification to the section 7.2.5
> 
>    This document proposes the following changes to the section 7.2.5 of
>    [RFC4861]:
> 
>    ------------------------------------------------------------------
> 
>    OLD TEXT:
> 
>    When a valid Neighbor Advertisement is received (either solicited or
>    unsolicited), the Neighbor Cache is searched for the target's entry.
>    If no entry exists, the advertisement SHOULD be silently discarded.
>    There is no need to create an entry if none exists, since the
>    recipient has apparently not initiated any communication with the
>    target.
> 
>    NEW TEXT:
> 
>    When a valid Neighbor Advertisement is received (either solicited or
>    unsolicited), the Neighbor Cache is searched for the target's entry.
>    If no entry exists, hosts SHOULD silently discard the advertisement.
>    There is no need to create an entry if none exists, since the
>    recipient has apparently not initiated any communication with the
>    target.  Routers SHOULD create a new entry for the target address
>    with the link-layer address set to the Target link-layer address
>    option (if supplied).  The entry its reachability state MUST also be
>    set to STALE.  If the received Neighbor Advertisement does not
>    contain the Target link-layer address option the advertisement SHOULD
>    be silently discarded.
> 
>    ------------------------------------------------------------------

One possibility to achieve it, not the best, is the use of CDATA in a 
figure:
       <t>
         <figure align="center">
           <artwork align="center">
             <![CDATA[
                 text un-separable by page breaks.
             ]]>
           </artwork>
         </figure>
       </t>

Alex